## org.red5.server.api
Interface IScopeAware

All Known Implementing Classes:
  ApplicationAdapter, MultiThreadedApplicationAdapter, StatefulScopeWrappingAdapter

    public interface IScopeAware

Maker interface for all objects that are aware of the scope they are located in.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard (luke@codegent.com)

Method Summary
`void` `setScope(IScope scope)` Set the scope the object is located in.

Method Detail

### setScope

    void setScope(IScope scope)

  Set the scope the object is located in.

  Parameters:
    `scope` - Scope for this object

Copyright © 2006-2010 The Red5 Project